import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Prefix } from 'src/app/models/prefix.model';
import { PrefixService } from 'src/app/services/prefix.service';
import { PrefixDetailsComponent} from 'src/app/components/prefix-details/prefix-details.component';

@Component({
  selector: 'app-prefix-list',
  providers: [PrefixDetailsComponent],
  templateUrl: './prefix-list.component.html',
  styleUrls: ['./prefix-list.component.scss']
})
export class PrefixListComponent implements OnInit {
  prefixs?: Prefix[];

  constructor(
    private prefixService: PrefixService,
    private prefixDetails: PrefixDetailsComponent,
    private route: ActivatedRoute,
    private router: Router) { }


  ngOnInit(): void {
    this.getAllPrefix(this.route.snapshot.params.id);
    //console.log("The boilerplate", this.route.snapshot.params.id);
  }

  
  getAllPrefix(id: string): void {
    this.prefixService.getAll(id)
      .subscribe(
        data => {
          PrefixDetailsComponent.id.length =0;
          this.prefixs = data;
          //console.log(data);
          for (var val of data) {
            //this.prefixDetails.getPrefix(id, val.id);
            PrefixDetailsComponent.id.push(val.id);
          }
        },
        error => {
          console.log(error);
        });
  }

}
